Bug 62815 - [Qt] Fix wrong framework generation on MacOS when inside Qt 4.8.
Summary: [Qt] Fix wrong framework generation on MacOS when inside Qt 4.8.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.6
: P1 Critical
Assignee: Alexis Menard (darktears)
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2011-06-16 13:41 PDT by Alexis Menard (darktears)
Modified: 2011-06-20 06:30 PDT (History)
2 users (show)

See Also:


Attachments
Patch (5.72 KB, patch)
2011-06-16 13:48 PDT, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff
Patch (5.85 KB, patch)
2011-06-16 14:00 PDT, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Menard (darktears) 2011-06-16 13:41:16 PDT
[Qt] Fix wrong framework generation on MacOS when inside Qt 4.8.
Comment 1 Alexis Menard (darktears) 2011-06-16 13:48:21 PDT
Created attachment 97486 [details]
Patch
Comment 2 Alexis Menard (darktears) 2011-06-16 14:00:42 PDT
Created attachment 97490 [details]
Patch
Comment 3 Alexis Menard (darktears) 2011-06-16 14:01:54 PDT
I'll be happy to rethink the entire modularization thing with Qt5 :D.
Comment 4 Andreas Kling 2011-06-17 07:28:22 PDT
Comment on attachment 97490 [details]
Patch

rs=me
Comment 5 WebKit Review Bot 2011-06-17 08:08:22 PDT
Comment on attachment 97490 [details]
Patch

Clearing flags on attachment: 97490

Committed r89137: <http://trac.webkit.org/changeset/89137>
Comment 6 WebKit Review Bot 2011-06-17 08:08:26 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Ademar Reis 2011-06-20 06:30:39 PDT
Revision r89137 cherry-picked into qtwebkit-2.2 with commit b64ad02 <http://gitorious.org/webkit/qtwebkit/commit/b64ad02>